Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 594529 - Keyboard layout resets to Swiss German (eliminate dead keys) from Swiss German
Summary: Keyboard layout resets to Swiss German (eliminate dead keys) from Swiss German
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gdm
Version: 13
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-20 22:57 UTC by Sandro Mani
Modified: 2011-06-27 16:31 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-06-27 16:31:47 UTC


Attachments (Terms of Use)

Description Sandro Mani 2010-05-20 22:57:06 UTC
Description of problem:
Although installing with Swiss German keyboard layout as well as setting it in system -> preferences -> keyboard, at the login screen the layout is Swiss German (eliminate dead keys), and sometimes also in the following session.

Version-Release number of selected component (if applicable):
gdm-2.30.2-1.fc13
system-setup-keyboard-0.8.5.fc13
system-config-keyboard-1.3.1-1.fc12
xkeyboard-config-1.8-5.fc13

How reproducible:
Always

Steps to Reproduce:
1. Install from live CD, choose Swiss German as keyboard layout
2. Reboot after install, gdm will use the eliminate dead keys variant 
3. In the logged in session, change back to Swiss German in System->Preferences->Keyboard, reboot
4. GDM will again use the dead keys variant. In the logged in session, under sys->pref->kb both Swiss German and Swiss German (eliminate dead keys) are listed, which one is used in the session seems random.
  
Actual results:
The user will sometimes find itself with the eliminate deadkeys variant even if it was not chosen.

Expected results:
Keyboard layout should remain consistent with user choice

Additional info:
It appears that by selecting Swiss German directly at the login screen, the system will retain that choice for all following bootups / logins. The main problem though is that this does not work if autologin is used. In this case, the keyboard layout sometimes switches back to the eliminate deadkeys variant.

Comment 1 Sandro Mani 2010-05-20 22:59:55 UTC
Just to be precise, Swiss German = Switzerland...

Comment 2 Pekka Savola 2010-05-31 11:46:59 UTC
I think I'm seeing the same thing (using gnome), so I won't open a new bug report.

After a yum upgrade F-12 -> F-13, my default keymap changed from Finnish to USA. I have both installed.  The "Fin/USA" keymap icon also appeared in the upper bar. In GDM login, the default keymap appears to be USA. In system-preferences-keyboard both are listed (Finnish on top) but there is no way to choose the default.

Looking at release notes, my first doubt was under Section 4.4 wrt. the addition of ibus.

Comment 3 Tajidin Abdullah 2010-07-08 16:38:28 UTC
This bug has been triaged



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 4 Pekka Savola 2010-08-31 10:22:25 UTC
This is pretty annoying and still a problem.

What I currently do is I always have to remove delete the USA keymap from gnome-preferences-keyboard; it reappears after each login.

Comment 5 Mathieu Bridon 2010-08-31 11:37:41 UTC
I think I had the same issue. In the GDM screen, do you have the same keymap selected as the one you selected in your session?

If not, that's why both appear again everytime: the one you specified with the Gnome tool inside your session, and the one you selected at the GDM screen, which GDM adds again every time.

I fixed this by making sure GDM was set to the exact same layout as the one I had chosen in the Gnome tool, then the second one never reappeared again.

It's like GDM and gnome-preferences-keyboard don't read the same configuration files, which is pretty annoying...

Comment 6 Pekka Savola 2010-08-31 11:45:52 UTC
Yes, in GDM the default keyboard layout is "USA".  When I change it to "Finland", the layout in Gnome won't get added (again), and that default sticks to the next login as well.  So I've worked around my problem.

More generally, I don't know what changed in F12->F13 upgrade in this respect.  Maybe GDM default changed or the source where they obtained configurations changed.

Comment 7 cam 2010-08-31 11:52:23 UTC
It sounds similar to this:

https://bugzilla.redhat.com/show_bug.cgi?id=552397

I think the way it works is conducive to user confusion :)

Comment 8 Bug Zapper 2011-06-02 13:46:09 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 9 Fedora Admin XMLRPC Client 2011-06-21 15:37:00 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 10 Fedora Admin XMLRPC Client 2011-06-21 15:39:16 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 11 Fedora Admin XMLRPC Client 2011-06-21 15:40:58 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 12 Fedora Admin XMLRPC Client 2011-06-21 15:43:43 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 13 Fedora Admin XMLRPC Client 2011-06-21 15:53:19 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 14 Fedora Admin XMLRPC Client 2011-06-21 15:56:12 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 15 Fedora Admin XMLRPC Client 2011-06-21 15:58:50 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 16 Fedora Admin XMLRPC Client 2011-06-21 16:00:06 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 17 Bug Zapper 2011-06-27 16:31:47 UTC
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.